summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author D Woodfall <dave@slackbuilds.org>2023-05-16 15:47:13 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-05-20 11:17:56 +0700
commit2900f8345caf1db5abf6434f3dbe50f7bbfa120a (patch)
tree90afd94715c7f6aad3167f234d8968a6e5e52fbb /academic
parent8ebd5951493227e742e851b7aa6afe930c5f33a4 (diff)
downloadslackbuilds-2900f8345caf1db5abf6434f3dbe50f7bbfa120a.tar.gz
slackbuilds-2900f8345caf1db5abf6434f3dbe50f7bbfa120a.tar.xz
academic/ncbi-blast: Fix and mv ARCH sect.
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/ncbi-blast/ncbi-blast.SlackBuild13
1 files changed, 6 insertions, 7 deletions
diff --git a/academic/ncbi-blast/ncbi-blast.SlackBuild b/academic/ncbi-blast/ncbi-blast.SlackBuild
index 5004bcd266..0adf5cbdae 100644
--- a/academic/ncbi-blast/ncbi-blast.SlackBuild
+++ b/academic/ncbi-blast/ncbi-blast.SlackBuild
@@ -34,12 +34,16 @@ SRCNAM=blast
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i386 ;;
- arm*) ARCH=arm ;;
+ i?86) ARCH=i586 ;;
*) ARCH=$( uname -m ) ;;
esac
fi
+if ! [ "$ARCH" = "x86_64" ] && ! [[ $ARCH =~ i?86 ]]; then
+ printf "\n\n$ARCH is not supported... \n" >/dev/stderr
+ exit 1
+fi
+
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
# the name of the created package would be, and then exit. This information
# could be useful to other scripts.
@@ -54,11 +58,6 @@ OUTPUT=${OUTPUT:-/tmp}
set -e
-if [ "$ARCH" != "i386" ] && [ "$ARCH" != "x86_64" ]; then
- printf "\n\n$ARCH is not supported... \n"
- exit 1
-fi
-
# Determine the source arch
if [ "$ARCH" = "x86_64" ]; then
SRCARCH="x64"